Productsup

Show a state

A state is only accessible to an admin or the owner of the entity

Sign in to run requests against the CDE API.
GET
/states/{stateId}

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

stateId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/states/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "message": "successful operation",
  "resource": "connector",
  "data": {
    "id": "01a10fc8-7aba-7c68-a70d-a54e7350062e",
    "status": "pending",
    "name": "vel",
    "owner": "01a10fc8-7ab6-7a42-acdc-9067583cbe99",
    "created": "2026-10-06T07:55:59+02:00",
    "config": {
      "connectorPublicId": "01a10fc8-7ab8-70db-81a0-e8138995d9d6",
      "versionNumber": 1,
      "vcs": {
        "token": "***"
      }
    },
    "data": {
      "someDataCreated": "some result"
    }
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "State not found."
}